%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             xnio
Version:          3.4.0
Release:          3%{?dist}
Summary:          JBoss XNIO
# LGPLv2+ ./api/src/main/java/org/xnio/ObjectProperties.java
License:          ASL 2.0 and LGPLv2+
URL:              http://www.jboss.org/xnio
Source0:          https://github.com/xnio/xnio/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(java_cup:java_cup)
BuildRequires:    mvn(jdepend:jdepend)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.apiviz:apiviz)
BuildRequires:    mvn(org.jboss.byteman:byteman)
BuildRequires:    mvn(org.jboss.byteman:byteman-bmunit)
BuildRequires:    mvn(org.jboss.byteman:byteman-install)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:    mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires:    mvn(org.jmock:jmock)
BuildRequires:    mvn(org.jmock:jmock-junit4)
BuildRequires:    mvn(org.wildfly.common:wildfly-common)

%description
A simplified low-level I/O layer which can be used anywhere you are
using NIO today. It frees you from the hassle of dealing with Selectors and
the lack of NIO support for multicast sockets and non-socket I/O, while still
maintaining all the capabilities present in NIO.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_plugin "org.jboss.bridger:bridger" api
%pom_remove_plugin -r :maven-source-plugin

#  @ random fails in koji (arm) builder
rm nio-impl/src/test/java/org/xnio/nio/test/MultiThreadedNioSslTcpConnectionTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/NioSslTcpChannelTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/NioSslTcpConnectionTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/NioStartTLSTcpChannelTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/NioStartTLSTcpConnectionTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/MultiThreadedNioSslTcpChannelTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/MultiThreadedNioStartTLSTcpConnectionTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/MultiThreadedNioStartTLSTcpChannelTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/NioTcpConnectionTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/MultiThreadedNioTcpConnectionTestCase.java
 
%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Feb 14 2017 gil cattaneo <puntogil@libero.it> 3.4.0-3
- fix FTBFS (Fedora 26 Mass Rebuild)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 3.4.0-1
- update to 3.4.0.Final

* Tue May 31 2016 gil cattaneo <puntogil@libero.it> 3.3.6-1
- update to 3.3.6.Final
- fix BR list and use BR mvn()-like
- remove duplicate files
- fix some rpmlint problem

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Marek Goldmann <mgoldman@redhat.com> - 3.3.0-1
- Upstream release 3.3.0.Final

* Wed Jun 11 2014 Marek Goldmann <mgoldman@redhat.com> - 3.2.2-1
- Upstream release 3.2.2.Final

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 3.2.0-1
- Upstream release 3.2.0.Final

* Thu Dec 12 2013 Marek Goldmann <mgoldman@redhat.com> - 3.2.0-0.1.Beta3
- Upstream release 3.2.0.Beta3

* Tue Aug 06 2013 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-0.5.CR6
- Upstream release 3.1.0.CR6
- New guidelines

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-0.4.CR5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 05 2013 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-0.3.CR5
- Removing tools.jar from deps

* Wed Jun 05 2013 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-0.2.CR5
- Disabled tests that fail on koji because of network connectivity
- Cleanup

* Wed May 29 2013 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-0.1.CR5
- Upstream release 3.1.0.CR5
- Using new guidelines

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 3.0.3-6
- Added maven-shared BR

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.0.3-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Jul 23 2012 Marek Goldmann <mgoldman@redhat.com> - 3.0.3-3
- Fixed BR

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 Marek Goldmann <mgoldman@redhat.com> 3.0.3-1
- Upstream release 3.0.3.GA

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 3.0.1-2
- Relocated jars to _javadir

* Wed Feb 15 2012 Marek Goldmann <mgoldman@redhat.com> 3.0.1-1
- Upstream release 3.0.1.GA

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-0.3.CR5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.2.CR5
- Upstream release 3.0.0.CR5

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.1.CR3
- Upstream release 3.0.0.CR3

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.1.Beta6
- Upstream release 3.0.0.Beta6

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.2.Beta4
- Spec file cleanup

* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.1.Beta4
- Initial packaging

